=== packages/invirt-vnc-client/debian/changelog ===
invirt-vnc-client (0.0.11) unstable; urgency=low

  * Make invirt-update-vnc-cert more robust to failure

 -- Quentin Smith <quentin@mit.edu>  Wed, 18 Mar 2009 18:52:16 -0400

invirt-vnc-client (0.0.10) unstable; urgency=low

  * Add missing dependency on java6-sdk.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 05:17:10 -0500

invirt-vnc-client (0.0.9) unstable; urgency=low

  * Edit copyright file, clarify what's our text and what's upstream's
  * Incorporate my fixes to tightvnc-java's own copyright, in
    http://bugs.debian.org/507959
  * Accurately describe "our" patches -- much of the code isn't ours!

 -- Greg Price <price@mit.edu>  Sat, 06 Dec 2008 04:03:58 -0500

invirt-vnc-client (0.0.8) unstable; urgency=low

  * Update the copyright file to correctly reflect the source of the
    TightVNC code

 -- Evan Broder <broder@mit.edu>  Sun, 23 Nov 2008 07:22:00 -0500

invirt-vnc-client (0.0.7) unstable; urgency=low

  * Don't alter the original VNC JAR - make a copy instead
  * Punt the postinst - it's not necessary, because the init script will
    get run

 -- Evan Broder <broder@mit.edu>  Sun, 09 Nov 2008 01:10:07 -0500

invirt-vnc-client (0.0.6) unstable; urgency=low

  * Isolate our patches from the upstream source
  * Fix the dependencies for invirt-update-vnc-cert
  * Add an init script to refresh the VNC trust store

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:19:59 -0400

invirt-vnc-client (0.0.5) unstable; urgency=low

  * Small typo fixes in invirt-update-vnc-cert

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 00:07:55 -0400

invirt-vnc-client (0.0.4) unstable; urgency=low

  * Get certificates from remctl, instead of from the filesystems

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:55:43 -0400

invirt-vnc-client (0.0.3) unstable; urgency=low

  * Fix some shell script errors thanks to the globs

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:44:45 -0400

invirt-vnc-client (0.0.2) unstable; urgency=low

  * DEBHELPER FAIL - I wanted invirt-update-vnc-cert.sh installed as
    /usr/sbin/invirt-update-vnc-cert, not /in/
    /usr/sbin/invirt-update-vnc-cert/

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:32:08 -0400

invirt-vnc-client (0.0.1) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client
  * SIPBTrustManager -> InvirtTrustManager
  * Add a script to regenerate the client's certificate store

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:14:15 -0400

sipb-xen-vnc-client (1.03) unstable; urgency=low

  * Get rid of svn checkout in package

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 15:35:44 -0400

sipb-xen-vnc-client (1.02) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:49:08 -0400

sipb-xen-vnc-client (1.01) hardy; urgency=low

  * depend on java-compiler (a virtual package) rather than sun-java5-jdk

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:21:50 +0000

sipb-xen-vnc-client (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 23:02:26 -0500
