=== packages/xvm-devconfig/debian/changelog ===
xvm-devconfig (0.41) unstable; urgency=low

  * Add jiawen to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 19 Oct 2009 20:13:12 -0400

xvm-devconfig (0.40) unstable; urgency=low

  * Add oremanj to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 21 Sep 2009 19:49:41 -0400

xvm-devconfig (0.39) unstable; urgency=low

  * Add ppasupat, burrows, jontec, gyz to xvm-dev as reflected in k5login,
    for hackathon.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 14:57:24 -0400

xvm-devconfig (0.38) unstable; urgency=low

  * Add pweaver to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 00:02:39 -0400

xvm-devconfig (0.37) unstable; urgency=low

  * Forward automail to xvm-dev-auto rather than xvm@.

 -- Greg Price <price@mit.edu>  Thu, 10 Sep 2009 22:23:27 -0400

xvm-devconfig (0.36) unstable; urgency=low

  * Send root's mail to xvm-dev@mit.edu, instead of xvm@mit.edu, since
    xvm-dev is the list with bits on the dev cluster.

 -- Evan Broder <broder@mit.edu>  Tue, 08 Sep 2009 11:48:15 -0400

xvm-devconfig (0.35) unstable; urgency=low

  * Add adehnert to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 07 Sep 2009 23:02:58 -0400

xvm-devconfig (0.34) unstable; urgency=low

  * Sync the k5login with xvm-dev (add mitchb).

 -- Evan Broder <broder@mit.edu>  Fri, 28 Aug 2009 21:57:05 -0400

xvm-devconfig (0.33) unstable; urgency=low

  * Add a mail.contact entry for who to forward mail to.

 -- Evan Broder <broder@mit.edu>  Sat, 28 Mar 2009 19:51:11 -0400

xvm-devconfig (0.32) unstable; urgency=low

  * No really. I don't want mail from dev. Ever.

 -- Evan Broder <broder@mit.edu>  Tue, 10 Mar 2009 03:52:53 -0400

xvm-devconfig (0.31) unstable; urgency=low

  * Use the slightly more restrictive xvm-dev for the adminacl instead of
    xvm.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:14:07 -0500

xvm-devconfig (0.30) unstable; urgency=low

  * Make adminacl a global setting.
  * Use a common value for the various contact fields.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 15:45:34 -0500

xvm-devconfig (0.29) unstable; urgency=low

  * Act authoritative for {1,2}.181.18.in-addr.arpa

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 02:20:58 -0500

xvm-devconfig (0.28) unstable; urgency=low

  * Add quentin to errormail_exclude

 -- Quentin Smith <quentin@mit.edu>  Mon, 16 Feb 2009 16:30:32 -0500

xvm-devconfig (0.27) unstable; urgency=low

  * Specify whether to authenticate PRDB lookups for each AFS cell.

 -- Evan Broder <broder@mit.edu>  Sat, 14 Feb 2009 22:08:46 -0500

xvm-devconfig (0.26) unstable; urgency=low

  * Add iannucci to the dev acl.

 -- Evan Broder <broder@mit.edu>  Thu, 12 Feb 2009 21:43:11 -0500

xvm-devconfig (0.25) unstable; urgency=low

  * Add the sysvm configs.

 -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 00:24:20 -0500

xvm-devconfig (0.24) unstable; urgency=low

  * Add the dhcp block.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 23:37:27 -0500

xvm-devconfig (0.23) unstable; urgency=low

  * Typo fix. /Actually/ install the k5login.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:43:40 -0500

xvm-devconfig (0.22) unstable; urgency=low

  * Two hosts! Add torchwood-institute to the list of hosts.
  * Add ezyang to the dev acl.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:17:13 -0500

xvm-devconfig (0.21) unstable; urgency=low

  * Include a trac stanza to make invirt-web happy.
  * xen.network.iface = eth0
  * Add a vnc stanza.
  * Add nathan_ to dev acl.

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 15:31:03 -0500

xvm-devconfig (0.20) unstable; urgency=low

  * Install the dev cluster .k5login.
  * Fix the maintainer field.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 03:14:06 -0500

xvm-devconfig (0.19) unstable; urgency=low

  * Punt unnecessarily deep files/ directory structure.

 -- Evan Broder <broder@mit.edu>  Fri, 30 Jan 2009 20:01:03 -0500

xvm-devconfig (0.18) unstable; urgency=low

  * First draft of config for new dev cluster.

 -- Greg Price <price@mit.edu>  Fri, 30 Jan 2009 07:03:47 -0500

xvm-devconfig (0.17) unstable; urgency=low

  * Activate the invirt-reload trigger instead of running invirt-reload
    directly.

 -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:10:45 -0500

xvm-devconfig (0.16) unstable; urgency=low

  * Prod launched! Move the development cluster to the dev names

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 09:43:03 -0500

xvm-devconfig (0.15) unstable; urgency=low

  * Use xvm.mit.edu instead of sipb-xen-dev.mit.edu as the database
    hostname

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 05:57:46 -0400

xvm-devconfig (0.14) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:42 -0400

xvm-devconfig (0.13) unstable; urgency=low

  * sipb-xen-console -> xvm-console
  * remote -> xvm-remote (at least canonically)

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:25:13 -0400

xvm-devconfig (0.12) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:47:40 -0400

xvm-devconfig (0.11) unstable; urgency=low

  * Change sx-blade-2 to torchwood-institute

 -- Evan Broder <broder@mit.edu>  Tue, 30 Sep 2008 20:52:49 -0400

xvm-devconfig (0.10) unstable; urgency=low

  * Added dev.xvm.mit.edu domain for sipb-xen-dns.

 -- Yang Zhang <y_z@mit.edu>  Mon, 25 Aug 2008 01:04:29 -0400

xvm-devconfig (0.9) unstable; urgency=low

  * added configs for sipb-xen-www

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400

xvm-devconfig (0.8) unstable; urgency=low

  * add more config for web interface

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400

xvm-devconfig (0.7) unstable; urgency=low

  * added dns.contact for sipb-xen-dns

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400


